
TYPO3.Flow - Feature # 4333

Status: Resolved Priority: Should have
Author: Robert Lemke Category: Log
Created: 2009-08-26 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Implement log rotation
Description

The Log framework should be able to rotate logs after x days or if the log file reaches a certain size and keep a defined number of old
log files.

Associated revisions
Revision ba0a5722 - 2009-09-29 23:59 - Karsten Dambekalns

[+FEATURE] FLOW3 (Log): The file backend now has the ability to rotate log files of they exceed a configured size and can keep a configurable
number of log files. Resolves #4333.

Revision 3164b417 - 2009-09-30 10:54 - Karsten Dambekalns

[~TASK] FLOW3 (Log): the setting for the maximum log file size is now in bytes instead of MB, relates to #4333.

History
#1 - 2009-09-28 21:49 - Karsten Dambekalns
- Target version set to 1.0 alpha 5

#2 - 2009-09-30 00:00 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3241.

#3 - 2009-09-30 00:03 - Karsten Dambekalns
- Assigned To set to Karsten Dambekalns
